//************************************************************************
//   Copyright (C) 2004-2006 Maxim I. Guisov                            //
//                                                                      //
// Permission to use, copy, modify, distribute and sell this software   //
// and its documentation for any purpose is hereby granted without fee, //
// provided that the above copyright notice appear in all copies and    //
// that both that copyright notice and this permission notice appear    //
// in supporting documentation. Author makes no representations         //
// about the suitability of this software for any purpose.              //
// It is provided "as is" without express or implied warranty.          //
//                                                                      //
//************************************************************************
#ifndef IO_SGF_H_INCLUDED_
#define IO_SGF_H_INCLUDED_

class MarkerBoard;
class StoneBoard;

bool LoadFile( const char* file_name, char* buffer );

// 400 means resigned game, or no information
double GetGameResult( char* buffer ); 

bool LoadSGF( const char* fileName, StoneBoard* pEndPosition, MarkerBoard* ExpertBoard,
              int* pBlackDead, int* pWhiteDead, double* pKomi, double* pResult );

#endif // IO_SGF_H_INCLUDED_