// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once


#define WIN32_LEAN_AND_MEAN   // Exclude rarely-used stuff from Windows headers
#include <stdio.h>
#include <tchar.h>

// allow implicit conversion from size_t to int
#pragma warning ( disable : 4267 )

// allow comparison of int and unsigned int
#pragma warning ( disable : 4018 )

// disable 'deprecated function' warnings
#pragma warning ( disable : 4996 )

#include <assert.h>
#include <math.h>
#include <algorithm>
#include <vector>

#include "RPropNet\\RPropNeuron.h"
#include "RPropNet\\RPropLayer.h"
#include "RPropNet\\RPropNet.h"

class Region;
class StoneRegion;
class Block;
class Chain;
class EmptySpace;
class CER;
class BoardNavigator;

// board elements
#include "Elements\\Point.h"
#include "Elements\\Region.h"
#include "Elements\\ESpace.h"
#include "Elements\\CER.h"
#include "Elements\\Block.h"
#include "Elements\\Chain.h"

//#define DEBUG_TESTER

#include "Navigator\\Boards.h"
#include "Navigator\\BoardNavigator.h"
#include "Navigator\\BlockFeatures.h"
#include "Utils\\IOSgf.h"
#include "Utils\\IOLog.h"
#include "Utils\\NetConfig.h"
#include "Utils\\MorphEngine.h"
